<?xml version="1.0" encoding="UTF-8"?> 
<!DOCTYPE xsl:stylesheet [
<!ENTITY nbsp "&#160;">
]>

<xsl:stylesheet version="1.0" xmlns:java="http://xml.apache.org/xslt/java"
  extension-element-prefixes="java" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <!-- Importing resuable types file -->
  <!--<xsl:import href="UNeDocsRT_HTM.xsl"/>-->

  <!-- Importing the resouce file filelocation.xsl for a file locations -->
  <!--<xsl:import href="resourceloc.xsl"/>-->
  <xsl:output method="html" indent="yes"/>

  <!-- Declaración del atributo prn-attrs -->
  <xsl:attribute-set name="prn-attrs">
    <xsl:attribute name="style">font-family:Courier;font-size:12pt;</xsl:attribute>
  </xsl:attribute-set>

  <!-- Parametro necesario para la distincion de tipos de factura -->
  <xsl:param name="tipoFactura"/>
  <!-- Parametro para la inclusion de una imagen -->
  <xsl:param name="pathLogo"/>
  <xsl:param name="imagenFactura"/>

  <xsl:template match="/">

    <html xmlns:v="urn:schemas-microsoft-com:vml" xmlns:o="urn:schemas-microsoft-com:office:office"
      xmlns:w="urn:schemas-microsoft-com:office:word" xmlns="http://www.w3.org/TR/REC-html40">

      <head>
        <title>FACTURA (<xsl:value-of
            select="$tipoFactura"
          />)</title>
        <style> /* Style Definitions */ p.MsoNormal, li.MsoNormal, div.MsoNormal
          {mso-style-parent:""; margin:0mm; margin-bottom:.0001pt; mso-pagination:widow-orphan;
          font-size:7.0pt; mso-bidi-font-size:12.0pt; font-family:Arial;
          mso-fareast-font-family:"Times New Roman"; mso-bidi-font-family:"Times New Roman";} h1
          {mso-style-next:Normal; margin:0mm; margin-bottom:.0001pt; text-align:right;
          mso-pagination:widow-orphan; page-break-after:avoid; mso-outline-level:1;
          font-size:12.0pt; font-family:Arial; mso-bidi-font-family:"Times New Roman";
          mso-font-kerning:0pt;} @page Section1 {size:595.3pt 841.9pt; margin:10.0mm 19.85pt 30.05pt
          20.0mm; mso-header-margin:5.65pt; mso-footer-margin:5.65pt; mso-paper-source:0;}
          div.Section1 {page:Section1;} </style>
      </head>

      <body lang="ES-ES" style="tab-interval:0mm">
        <xsl:if test="$pathLogo!=''">
          <div>
            <xsl:text disable-output-escaping="yes">&lt;img src="</xsl:text>
            <xsl:value-of select="$pathLogo" disable-output-escaping="yes"/>
            <xsl:text disable-output-escaping="yes">"/&gt;</xsl:text>
          </div>
        </xsl:if>

        <div class="Section1">

          <table border="1" cellspacing="0" cellpadding="0"
            style="border-collapse:collapse; 
                                                                   border:none;mso-border-alt:solid windowtext .5pt;mso-padding-alt:0mm 5.4pt 0mm 5.4pt">
            <tr height="13" style="height:9.95pt">
              <!--<td width="706" colspan="10" height="13" valign="top"-->
              <td width="706" height="13" valign="top" colspan="5"
                style="width:529.55pt; 
                                                                          border:none;border-bottom:solid windowtext 1.5pt;padding:0mm 1.4pt 0mm 1.4pt; 
                                                                          height:9.95pt">
                <h1 align="center" style="text-align:center">
                  <b
                    style="mso-bidi-font-weight: 
                                                                       normal">
                    <font size="3" face="Arial">
                      <span
                        style="font-size:12.0pt;mso-bidi-font-family: 
                                                                                                                        Arial;mso-bidi-font-weight:normal"
                          >
                        
                        <xsl:variable name="toTranslate"
                          select="*/Invoices/Invoice/InvoiceHeader/InvoiceDocumentType"/>
                        <xsl:variable name="traduccion"
                          select="java:efactura.util.DictionaryLoader.getTranslation('InvoiceDocumentType',$toTranslate,'es')"/>
                        <xsl:value-of select="$traduccion"/>&nbsp; <xsl:variable
                          name="toTranslate2">
                          <xsl:value-of select="/*/Invoices/Invoice/InvoiceHeader/InvoiceClass"/>
                        </xsl:variable>
                        <xsl:variable name="traduccion2"
                          select="java:efactura.util.DictionaryLoader.getTranslation('InvoiceClassType',$toTranslate2,'es')"
                        /> (<xsl:value-of select="$traduccion2"/>)
                        /
                        
                       
                        <xsl:variable name="traduccion3"
                          select="java:efactura.util.DictionaryLoader.getTranslation('InvoiceDocumentType',$toTranslate,'en')"/>
                        <xsl:value-of select="$traduccion3"/>&nbsp; 
                       
                        <xsl:variable name="traduccion4"
                          select="java:efactura.util.DictionaryLoader.getTranslation('InvoiceClassType',$toTranslate2,'en')"
                        /> (<xsl:value-of select="$traduccion4"/>)&nbsp; -&nbsp;
                        <xsl:value-of
                          select="$tipoFactura"
                        />
                        
                        <o:p/></span>
                    </font>
                  </b>
                </h1>
              </td>
            </tr>
            <tr height="13" style="height:9.95pt">
              <!--<td width="353" colspan="4" height="13" valign="top"-->
              <td width="353" colspan="2" height="13" valign="top"
                style="width:264.75pt; 
                                                                          border-top:none;border-left:solid windowtext 1.5pt;border-bottom:none; 
                                                                          border-right:solid windowtext 1.5pt;mso-border-top-alt:solid windowtext 1.5pt; 
                                                                          padding:0mm 1.4pt 0mm 1.4pt;height:9.95pt">
                <p class="MsoNormal">
                  <font size="1" face="Arial">
                    <span
                      style="font-size:7.0pt; 
                                                                              mso-bidi-font-family:Arial">
                      <span style="mso-bidi-font-size:12.0pt">Emisor (nombre, direccion...) /
                        Seller(name, address, tax reference)</span>
                    </span>
                  </font>
                </p>
              </td>
              <!--<td width="177" colspan="3" height="13" valign="top"-->
              <td width="177" height="13" valign="top" colspan="2"
                style="width:132.4pt;border: 
                                                                          none;border-right:solid windowtext 1.5pt;mso-border-top-alt:solid windowtext 1.5pt; 
                                                                          mso-border-left-alt:solid windowtext 1.5pt;padding:0mm 1.4pt 0mm 1.4pt; 
                                                                          height:9.95pt">
                <p class="MsoNormal">
                  <font size="1" face="Arial">
                    <span
                      style="font-size:7.0pt; 
                                                                              mso-bidi-font-family:Arial">
                      <span style="mso-bidi-font-size:12.0pt">Número de Factura / Invoice
                      number</span>
                    </span>
                  </font>
                </p>
              </td>
              <!--<td width="177" colspan="3" height="13" valign="top"-->
              <td width="177" height="13" colspan="1" valign="top"
                style="width:132.4pt;border: 
                                                                          none;border-right:solid windowtext 1.5pt;mso-border-top-alt:solid windowtext 1.5pt; 
                                                                          mso-border-left-alt:solid windowtext 1.5pt;padding:0mm 1.4pt 0mm 1.4pt; 
                                                                          height:9.95pt">
                <p class="MsoNormal">&#160;<font size="1" face="Arial">
                    <span
                      style="font-size:7.0pt;mso-bidi-font-size:7.0pt;mso-bidi-font-family: 
                Arial">
                      <o:p/>
                    </span>
                  </font></p>
              </td>
            </tr>
            <tr height="13" style="height:9.95pt">
              <!--<td width="353" rowspan="5" colspan="4" height="13" valign="top"-->
              <td width="353" rowspan="5" colspan="2" height="13" valign="top"
                style="width:264.75pt; 
                                                                                      border-top:none;border-left:solid windowtext 1.5pt;border-bottom:none; 
                                                                                      border-right:solid windowtext 1.5pt;padding:0mm 1.4pt 0mm 1.4pt;height:9.95pt">
                <p class="MsoNormal">
                  <xsl:choose>
                    <xsl:when test="/*/Parties/SellerParty/TaxIdentification/PersonTypeCode = 'F'">
                      <span xsl:use-attribute-sets="prn-attrs"><xsl:value-of
                          select="/*/Parties/SellerParty/Individual/Name"/>&#160;<xsl:value-of
                          select="/*/Parties/SellerParty/Individual/FirstSurname"
                          />&#160;<xsl:value-of
                          select="/*/Parties/SellerParty/Individual/SecondSurname"/></span>
                      <br/>
                    </xsl:when>
                    <xsl:when test="/*/Parties/SellerParty/TaxIdentification/PersonTypeCode = 'J'">
                      <span xsl:use-attribute-sets="prn-attrs">
                        <xsl:value-of select="/*/Parties/SellerParty/LegalEntity/CorporateName"/>
                      </span>
                      <br/>
                    </xsl:when>
                  </xsl:choose>
                  <span xsl:use-attribute-sets="prn-attrs">
                    <xsl:value-of select="/*/Parties/SellerParty/*/*/Address"/>
                  </span>
                  <br/>
                  <span xsl:use-attribute-sets="prn-attrs">
                    <xsl:value-of select="/*/Parties/SellerParty/*/*/PostCode"/>
                  </span>
                  <br/>
                  <span xsl:use-attribute-sets="prn-attrs">
                    <xsl:value-of select="/*/Parties/SellerParty/*/*/Town"/>
                  </span>
                  <br/>
                  <span xsl:use-attribute-sets="prn-attrs">
                    <xsl:value-of select="/*/Parties/SellerParty/*/*/Province"/>
                  </span>
                  <br/>
                  <span xsl:use-attribute-sets="prn-attrs">
                    <xsl:value-of select="/*/Parties/SellerParty/*/*/CountryCode"/>
                  </span>
                  <br/>
                  <!--<xsl:apply-templates select="/*/Parties/SellerParty"/>-->
                </p>
              </td>
              <!--<td width="177" colspan="3" height="13" valign="top"-->
              <td width="177" colspan="2" height="13" valign="top"
                style="width:132.4pt;border-top: 
                                                                          none;border-left:none;border-bottom:solid windowtext 1.5pt;border-right:solid windowtext 1.5pt; 
                                                                          mso-border-left-alt:solid windowtext 1.5pt;padding:0mm 1.4pt 0mm 1.4pt; 
                                                                          height:9.95pt">
                <p class="MsoNormal">
                  <span xsl:use-attribute-sets="prn-attrs">
                    <xsl:value-of select="/*/Invoices/Invoice/InvoiceHeader/InvoiceNumber"/>
                  </span>
                </p>
              </td>
              <!--<td width="177" colspan="3" height="13" valign="top"-->
              <td width="177" colspan="1" height="13" valign="top"
                style="width:132.4pt;border-top: 
                                                                          none;border-left:none;border-bottom:solid windowtext 1.5pt;border-right:solid windowtext 1.5pt; 
                                                                          mso-border-left-alt:solid windowtext 1.5pt;padding:0mm 1.4pt 0mm 1.4pt; 
                                                                          height:9.95pt">
                <p class="MsoNormal">&#160;<font size="1" face="Arial">
                    <span
                      style="font-size:7.0pt;mso-bidi-font-size:7.0pt;mso-bidi-font-family: 
                Arial">
                      <o:p/>
                    </span>
                  </font></p>
              </td>
            </tr>
            <tr height="13" style="height:9.95pt">

              <!--<td width="177" colspan="3" height="13" valign="top"-->
              <td width="177" colspan="2" height="13" valign="top"
                style="width:132.4pt;border: 
                                                                          none;border-right:solid windowtext 1.5pt;mso-border-top-alt:solid windowtext 1.5pt; 
                                                                          mso-border-left-alt:solid windowtext 1.5pt;padding:0mm 1.4pt 0mm 1.4pt; 
                                                                          height:9.95pt">
                <p class="MsoNormal">
                  <font size="1" face="Arial">
                    <span
                      style="font-size:7.0pt; 
                                                                              mso-bidi-font-family:Arial">
                      <span style="mso-bidi-font-size:12.0pt">Fecha de Expedicion de la Factura /
                        Invoice date (yyyy-mm-dd)</span>
                    </span>
                  </font>
                </p>
              </td>
              <!--<td width="177" colspan="3" height="13" valign="top"-->
              <td width="177" colspan="2" height="13" valign="top"
                style="width:132.4pt;border: 
                                                                          none;border-right:solid windowtext 1.5pt;mso-border-top-alt:solid windowtext 1.5pt; 
                                                                          mso-border-left-alt:solid windowtext 1.5pt;padding:0mm 1.4pt 0mm 1.4pt; 
                                                                          height:9.95pt">
                <p class="MsoNormal">
                  <font size="1" face="Arial">
                    <span
                      style="font-size:7.0pt; 
                                                                              mso-bidi-font-family:Arial">
                      <span style="mso-bidi-font-size:12.0pt">CIF/NIF del Emisor / Seller
                      reference</span>
                    </span>
                  </font>
                </p>
              </td>
            </tr>
            <tr height="13" style="height:9.95pt">

              <!--<td width="177" colspan="3" height="13" valign="top"-->
              <td width="177" colspan="2" height="13" valign="top"
                style="width:132.4pt;border-top: 
                                                                          none;border-left:none;border-bottom:solid windowtext 1.5pt;border-right:solid windowtext 1.5pt; 
                                                                          mso-border-left-alt:solid windowtext 1.5pt;padding:0mm 1.4pt 0mm 1.4pt; 
                                                                          height:9.95pt">
                <p class="MsoNormal">
                  <span xsl:use-attribute-sets="prn-attrs">
                    <xsl:value-of select="/*/Invoices/Invoice/InvoiceIssueData/IssueDate"/>
                  </span>
                </p>
              </td>
              <!--<td width="177" colspan="3" height="13" valign="top"-->
              <td width="177" colspan="2" height="13" valign="top"
                style="width:132.4pt;border-top: 
                                                                          none;border-left:none;border-bottom:solid windowtext 1.5pt;border-right:solid windowtext 1.5pt; 
                                                                          mso-border-left-alt:solid windowtext 1.5pt;padding:0mm 1.4pt 0mm 1.4pt; 
                                                                          height:9.95pt">
                <p class="MsoNormal">
                  <span xsl:use-attribute-sets="prn-attrs">
                    <xsl:value-of
                      select="/*/Parties/SellerParty/TaxIdentification/TaxIdentificationNumber"/>
                  </span>
                </p>
              </td>
            </tr>
            <tr height="13" style="height:9.95pt">

              <!--<td width="177" colspan="3" height="13" valign="top"-->
              <td width="177" colspan="2" height="13" valign="top"
                style="width:132.4pt;border: 
                                                                          none;border-right:solid windowtext 1.5pt;mso-border-top-alt:solid windowtext 1.5pt; 
                                                                          mso-border-left-alt:solid windowtext 1.5pt;padding:0mm 1.4pt 0mm 1.4pt; 
                                                                          height:9.95pt">
                <p class="MsoNormal">
                  <font size="1" face="Arial">
                    <span
                      style="font-size:7.0pt; 
                                                                              mso-bidi-font-family:Arial">
                      <span style="mso-bidi-font-size:12.0pt">CIF/NIF del Receptor / Buyer
                      reference</span>
                    </span>
                  </font>
                </p>
              </td>
              <!--<td width="177" colspan="3" height="13" valign="top"-->
              <td width="177" colspan="2" height="13" valign="top"
                style="width:132.4pt;border: 
                                                                          none;border-right:solid windowtext 1.5pt;mso-border-top-alt:solid windowtext 1.5pt; 
                                                                          mso-border-left-alt:solid windowtext 1.5pt;padding:0mm 1.4pt 0mm 1.4pt; 
                                                                          height:9.95pt">
                <p class="MsoNormal">
                  <font size="1" face="Arial">
                    <span
                      style="font-size:7.0pt; 
                                                                              mso-bidi-font-family:Arial">
                      <span style="mso-bidi-font-size:12.0pt">Otro CIF/NIF / Other reference</span>
                    </span>
                  </font>
                </p>
              </td>
            </tr>
            <tr height="13" style="height:9.95pt">

              <!--<td width="177" colspan="3" height="13" valign="top"-->
              <td width="177" colspan="2" height="13" valign="top"
                style="width:132.4pt;border-top: 
                                                                          none;border-left:none;border-bottom:solid windowtext 1.5pt;border-right:solid windowtext 1.5pt; 
                                                                          mso-border-left-alt:solid windowtext 1.5pt;padding:0mm 1.4pt 0mm 1.4pt; 
                                                                          height:9.95pt">
                <p class="MsoNormal">
                  <span xsl:use-attribute-sets="prn-attrs">
                    <xsl:value-of
                      select="/*/Parties/BuyerParty/TaxIdentification/TaxIdentificationNumber"/>
                  </span>
                </p>
              </td>
              <!--<td width="177" colspan="3" height="13" valign="top"-->
              <td width="177" colspan="2" height="13" valign="top"
                style="width:132.4pt;border-top: 
                                                                          none;border-left:none;border-bottom:solid windowtext 1.5pt;border-right:solid windowtext 1.5pt; 
                                                                          mso-border-left-alt:solid windowtext 1.5pt;padding:0mm 1.4pt 0mm 1.4pt; 
                                                                          height:9.95pt">
                <p class="MsoNormal">
                  <span xsl:use-attribute-sets="prn-attrs"
                  ><!--<xsl:value-of select="/*/" />--></span>
                </p>
              </td>
            </tr>
            <tr height="13" style="height:9.95pt">
              <!--<td width="353" colspan="4" height="13" valign="top"-->
              <td width="353" colspan="2" height="13" valign="top"
                style="width:264.75pt; 
                                                                          border-top:solid windowtext 1.5pt;border-left:solid windowtext 1.5pt;border-bottom:none; 
                                                                          border-right:solid windowtext 1.5pt;mso-border-top-alt:solid windowtext 1.5pt; 
                                                                          padding:0mm 1.4pt 0mm 1.4pt;height:9.95pt">
                <p class="MsoNormal">
                  <font size="1" face="Arial">
                    <span
                      style="font-size:7.0pt; 
                                                                              mso-bidi-font-family:Arial">
                      <span style="mso-bidi-font-size:12.0pt">Consignatario (nombre, direccion...) /
                        Consignee (name, address, tax reference)</span>
                    </span>
                  </font>
                </p>
              </td>
              <!--<td width="353" colspan="6" height="13" valign="top"-->
              <td width="353" colspan="3" height="13" valign="top"
                style="width:264.8pt;border: 
                                                                          none;border-right:solid windowtext 1.5pt;mso-border-top-alt:solid windowtext 1.5pt; 
                                                                          mso-border-left-alt:solid windowtext 1.5pt;padding:0mm 1.4pt 0mm 1.4pt; 
                                                                          height:9.95pt">
                <p class="MsoNormal">
                  <font size="1" face="Arial">
                    <span
                      style="font-size:7.0pt; 
                                                                              mso-bidi-font-family:Arial">
                      <span style="mso-bidi-font-size:12.0pt">Receptor (nombre, direccion...) /
                        Buyer (name, address, tax reference)</span>
                    </span>
                  </font>
                </p>
              </td>
            </tr>
            <tr>
              <!--<td width="353" height="65" rowspan="5" colspan="4" valign="top"-->
              <td width="353" height="65" rowspan="5" colspan="2" valign="top"
                style="width:264.75pt; 
                                                                                      border-top:none;border-left:solid windowtext 1.5pt;border-bottom:none; 
                                                                                      border-right:solid windowtext 1.5pt;padding:0mm 1.4pt 0mm 1.4pt;">
                <p class="MsoNormal">
                  <!--<xsl:apply-templates select="/*/*/*/ConsigneeParty"/>-->
                </p>
              </td>
              <!--<td width="353" height="65" rowspan="5" colspan="6" valign="top"-->
              <td width="353" height="65" rowspan="5" colspan="3" valign="top"
                style="width:264.8pt;border: 
                                                                                      none;border-right:solid windowtext 1.5pt;mso-border-left-alt:solid windowtext 1.5pt; 
                                                                                      padding:0mm 1.4pt 0mm 1.4pt;">
                <p class="MsoNormal">
                  <xsl:choose>
                    <xsl:when test="/*/Parties/BuyerParty/TaxIdentification/PersonTypeCode = 'F'">
                      <span xsl:use-attribute-sets="prn-attrs"><xsl:value-of
                          select="/*/Parties/BuyerParty/Individual/Name"/>&#160;<xsl:value-of
                          select="/*/Parties/BuyerParty/Individual/FirstSurname"
                          />&#160;<xsl:value-of
                          select="/*/Parties/BuyerParty/Individual/SecondSurname"/></span>
                      <br/>
                    </xsl:when>
                    <xsl:when test="/*/Parties/SellerParty/TaxIdentification/PersonTypeCode = 'J'">
                      <span xsl:use-attribute-sets="prn-attrs">
                        <xsl:value-of select="/*/Parties/BuyerParty/LegalEntity/CorporateName"/>
                      </span>
                      <br/>
                    </xsl:when>
                  </xsl:choose>
                  <span xsl:use-attribute-sets="prn-attrs">
                    <xsl:value-of select="/*/Parties/BuyerParty/*/*/Address"/>
                  </span>
                  <br/>
                  <span xsl:use-attribute-sets="prn-attrs">
                    <xsl:value-of select="/*/Parties/BuyerParty/*/*/PostCode"/>
                  </span>
                  <br/>
                  <span xsl:use-attribute-sets="prn-attrs">
                    <xsl:value-of select="/*/Parties/BuyerParty/*/*/Town"/>
                  </span>
                  <br/>
                  <span xsl:use-attribute-sets="prn-attrs">
                    <xsl:value-of select="/*/Parties/BuyerParty/*/*/Province"/>
                  </span>
                  <br/>
                  <span xsl:use-attribute-sets="prn-attrs">
                    <xsl:value-of select="/*/Parties/BuyerParty/*/*/CountryCode"/>
                  </span>
                  <br/>

                  <!-- <xsl:apply-templates select="/*/Parties/BuyerParty"/> -->
                </p>
              </td>
            </tr>
            <tr height="13" style="height:9.95pt"> </tr>
            <tr height="13" style="height:9.95pt"> </tr>
            <tr height="13" style="height:9.95pt"> </tr>
            <tr height="13" style="height:9.95pt"> </tr>
            <tr height="13" style="height:9.95pt">
              <!--<td width="353" colspan="4" height="13" valign="top"-->
              <td width="353" colspan="2" height="13" valign="top"
                style="width:264.75pt; 
   border-top:solid windowtext 1.5pt;none;border-left:solid windowtext 1.5pt;border-bottom:none; 
   border-right:solid windowtext 1.5pt;mso-border-top-alt:solid windowtext 1.5pt; 
   padding:0mm 1.4pt 0mm 1.4pt;">
                <p class="MsoNormal">
                  <font size="1" face="Arial">
                    <span
                      style="font-size:7.0pt; 
   mso-bidi-font-size:7.0pt;mso-bidi-font-family:Arial"
                      >Promotor de la carga</span>
                  </font>
                  <span style="mso-bidi-font-family:Arial"> (nombre, direccion...) </span>
                  <span style="mso-bidi-font-size:7.0pt;mso-bidi-font-family:Arial">
                    <o:p/>
                  </span>
                  <font size="1" face="Arial">
                    <span
                      style="font-size:7.0pt; 
                      mso-bidi-font-size:7.0pt;mso-bidi-font-family:Arial"
                      >Freight forwarder </span>
                  </font>
                  <span style="mso-bidi-font-family:Arial"> (name, address, tax reference)</span>
                  <span style="mso-bidi-font-size:7.0pt;mso-bidi-font-family:Arial">
                    <o:p/>
                  </span>
                </p>
              </td>
              <!--<td width="353" colspan="6" height="13" valign="top"-->
              <td width="353" colspan="3" height="13" valign="top"
                style="width:264.8pt;border: 
   none;border-right:solid windowtext 1.5pt;border-top:solid windowtext 1.5pt;mso-border-top-alt:solid windowtext 1.5pt; 
   mso-border-left-alt:solid windowtext 1.5pt;padding:0mm 1.4pt 0mm 1.4pt;">
                <p class="MsoNormal">
                  <font size="1" face="Arial">
                    <span
                      style="font-size:7.0pt; 
   mso-bidi-font-size:7.0pt;mso-bidi-font-family:Arial"
                      >Referencia única del envío / Unique consignment reference <o:p/></span>
                  </font>
                </p>
              </td>
            </tr>
            <tr height="13" style="height:9.95pt">
              <!--<td width="353" rowspan="5" colspan="4" height="13" valign="top"-->
              <td width="353" rowspan="5" colspan="2" height="13" valign="top"
                style="width:264.75pt; 
   border-top:none;border-left:solid windowtext 1.5pt;border-bottom:none; 
   border-right:solid windowtext 1.5pt;padding:0mm 1.4pt 0mm 1.4pt;height:9.95pt">
                <p class="MsoNormal">
                  <!--<xsl:apply-templates select="/*/*/*/FreightForwarderParty"/>-->
                </p>
              </td>
              <!--<td width="353" colspan="6" height="13" valign="top"-->
              <td width="353" colspan="3" height="13" valign="top"
                style="width:264.8pt;border-top: 
   none;border-left:none;border-bottom:solid windowtext 1.5pt;border-right:solid windowtext 1.5pt; 
   mso-border-left-alt:solid windowtext 1.5pt;padding:0mm 1.4pt 0mm 1.4pt; 
   height:9.95pt">
                <p class="MsoNormal">
                  <span xsl:use-attribute-sets="prn-attrs"
                    ><!--<xsl:value-of select="//*/UniqueConsignmentReference" />--></span>
                </p>
              </td>
            </tr>
            <tr height="13" style="height:9.95pt">

              <td width="88" height="13" valign="top"
                style="width:66.2pt;border:none;mso-border-top-alt: 
   solid windowtext 1.5pt;mso-border-left-alt:solid windowtext 1.5pt;padding: 
   0mm 1.4pt 0mm 1.4pt;height:9.95pt">
                <p class="MsoNormal">
                  <font size="1" face="Arial">
                    <span style="font-size:7.0pt; 
   mso-bidi-font-family:Arial">
                      <span style="mso-bidi-font-size:12.0pt">Pais de Origen / Country of
                      origin</span>
                    </span>
                  </font>
                </p>
              </td>
              <!--<td colspan="2" width="88" height="13" valign="top"-->
              <td colspan="1" width="88" height="13" valign="top"
                style="width:66.2pt;border-top:solid windowtext 1.5pt; 
   border-left:none;border-bottom:none;border-right:solid windowtext 1.5pt; 
   padding:0mm 1.4pt 0mm 1.4pt;height:9.95pt">
                <p class="MsoNormal" align="right" style="text-align:right">
                  <font size="1" face="Arial">
                    <span style="font-size:7.0pt;mso-bidi-font-family:Arial">
                      <span style="mso-bidi-font-size:12.0pt">Codigo ISO / ISO code</span>
                    </span>
                  </font>
                </p>
              </td>
              <!--<td width="177" colspan="3" height="13" valign="top"-->
              <td width="177" colspan="2" height="13" valign="top"
                style="width:132.4pt;border-top: 
   solid windowtext 1.5pt;border-left:none;border-bottom:none;border-right:solid windowtext 1.5pt; 
  mso-border-left-alt:solid windowtext 1.5pt;padding:0mm 1.4pt 0mm 1.4pt; 
   height:9.95pt">
                <p class="MsoNormal" align="right" style="text-align:right">
                  <font size="1" face="Arial">
                    <span style="font-size:7.0pt;mso-bidi-font-family:Arial">
                      <span style="mso-bidi-font-size:12.0pt">Pais de Destino /<span
                          style="mso-spacerun: yes"
                          >&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;</span>Codigo
                        ISO /</span>
                    </span>
                    <br/>
                    <span style="font-size:7.0pt;mso-bidi-font-family:Arial">
                      <span style="mso-bidi-font-size:12.0pt">Country of destination<span
                          style="mso-spacerun: yes"
                          >&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;</span>ISO
                        code</span>
                    </span>
                  </font>
                </p>
              </td>
            </tr>
            <tr height="13" style="height:9.95pt">

              <!--<td width="88" height="13" colspan="3" valign="top"-->
              <td width="88" height="13" colspan="2" valign="top"
                style="width:66.2pt;border:none;border-bottom: 
   solid windowtext 1.5pt;border-right:solid windowtext 1.5pt;mso-border-left-alt:solid windowtext 1.5pt;padding: 
   0mm 1.4pt 0mm 1.4pt;height:9.95pt">
                <p class="MsoNormal">
                  <span xsl:use-attribute-sets="prn-attrs">
                    <xsl:value-of select="/*/Parties/SellerParty/*/*/CountryCode"/>
                  </span>
                </p>
              </td>
              <!--<td width="88" height="13" colspan="3" valign="top"-->
              <td width="88" height="13" colspan="2" valign="top"
                style="width:66.2pt;border:none;border-bottom: 
   solid windowtext 1.5pt;mso-border-left-alt:solid windowtext 1.5pt;border-right:solid windowtext 1.5pt;padding: 
   0mm 1.4pt 0mm 1.4pt;height:9.95pt">
                <p class="MsoNormal">
                  <span xsl:use-attribute-sets="prn-attrs">
                    <xsl:value-of select="/*/Parties/SellerParty/*/*/CountryCode"/>
                  </span>
                </p>
              </td>
            </tr>
            <tr height="13" style="height:9.95pt">

              <!--<td width="177" colspan="3" height="13" valign="top"-->
              <td width="177" colspan="2" height="13" valign="top"
                style="width:132.4pt;border: 
  none;mso-border-top-alt:solid windowtext 1.5pt;mso-border-left-alt:solid windowtext 1.5pt; 
   padding:0mm 1.4pt 0mm 1.4pt;height:9.95pt">
                <p class="MsoNormal">
                  <font size="1" face="Arial">
                    <span style="font-size:7.0pt; 
   mso-bidi-font-family:Arial">
                      <span style="mso-bidi-font-size:12.0pt">Terms of delivery</span>
                    </span>
                  </font>
                </p>
              </td>
              <!--<td width="177" colspan="3" height="13" valign="top"-->
              <td width="177" colspan="2" height="13" valign="top"
                style="width:132.4pt;border: 
   none;border-right:solid windowtext 1.5pt;mso-border-top-alt:solid windowtext 1.5pt; 
   padding:0mm 1.4pt 0mm 1.4pt;height:9.95pt">
                <p class="MsoNormal">
                  <font size="1" face="Arial">
                    <span style="font-size:7.0pt; 
   mso-bidi-font-family:Arial">
                      <span style="mso-bidi-font-size:12.0pt">Localización relevante / Relevant
                        location</span>
                    </span>
                  </font>
                </p>
              </td>
            </tr>
            <tr height="13" style="height:9.95pt">

              <!--<td width="177" rowspan="3" colspan="3" height="13" valign="top"-->
              <td width="177" rowspan="3" colspan="2" height="13" valign="top"
                style="width:132.4pt;border: 
   none;mso-border-left-alt:solid windowtext 1.5pt;padding:0mm 1.4pt 0mm 1.4pt; 
   height:9.95pt">
                <p class="MsoNormal">
                  <span xsl:use-attribute-sets="prn-attrs"
                    ><!--<xsl:value-of select="//*/TermsOfDelivery/DeliveryTermsCoded" />--></span>&#160;
                    <span xsl:use-attribute-sets="prn-attrs"
                    ><!--<xsl:value-of select="//*/TermsOfDelivery/DeliveryTermsDescription" />--></span>
                </p>
              </td>
              <!--<td width="177" rowspan="3" colspan="3" height="13" valign="top"-->
              <td width="177" rowspan="3" colspan="2" height="13" valign="top"
                style="width:132.4pt;border: 
   none;border-right:solid windowtext 1.5pt;padding:0mm 1.4pt 0mm 1.4pt; 
   height:9.95pt">
                <p class="MsoNormal">
                  <span xsl:use-attribute-sets="prn-attrs"
                    ><!--<xsl:value-of select="//*/TermsOfDelivery/DeliveryTermLocation" />--></span>
                </p>
              </td>
            </tr>
            <tr height="13" style="height:9.95pt">
              <!--<td width="353" colspan="4" height="13" valign="top"-->
              <td width="353" colspan="2" height="13" valign="top"
                style="width:264.75pt; 
   border-top:none;border-left:solid windowtext 1.5pt;border-bottom:none; 
   border-right:solid windowtext 1.5pt;mso-border-top-alt:solid windowtext 1.5pt; 
   padding:0mm 1.4pt 0mm 1.4pt;height:9.95pt">
                <p class="MsoNormal">&#160;<font size="1" face="Arial">
                    <span
                      style="font-size:7.0pt;mso-bidi-font-size:7.0pt;mso-bidi-font-family: 
   Arial">
                      <o:p/>
                    </span>
                  </font></p>
              </td>

            </tr>
            <tr height="13" style="height:9.95pt">
              <!--<td width="353" colspan="4" height="13" valign="top"-->
              <td width="353" colspan="2" height="13" valign="top"
                style="width:264.75pt; 
   border:solid windowtext 1.5pt;border-top:none;padding:0mm 1.4pt 0mm 1.4pt; 
   height:9.95pt">
                <p class="MsoNormal">&#160;<font size="1" face="Arial">
                    <span
                      style="font-size:7.0pt;mso-bidi-font-size:7.0pt;mso-bidi-font-family: 
   Arial">
                      <o:p/>
                    </span>
                  </font></p>
              </td>

            </tr>
            <tr height="13" style="height:9.95pt">
              <!--<td width="176" colspan="2" height="13" valign="top"-->
              <td width="176" colspan="1" height="13" valign="top"
                style="width:132.35pt; 
   border-top:none;border-left:solid windowtext 1.5pt;border-bottom:none; 
   border-right:solid windowtext 1.5pt;mso-border-top-alt:solid windowtext 1.5pt; 
   padding:0mm 1.4pt 0mm 1.4pt;height:9.95pt">
                <p class="MsoNormal">
                  <font size="1" face="Arial">
                    <span style="font-size:7.0pt; 
   mso-bidi-font-family:Arial">
                      <span style="mso-bidi-font-size:12.0pt">Medio de transporte / Transport mode
                        and means</span>
                    </span>
                  </font>
                </p>
              </td>
              <!--<td width="177" colspan="2" height="13" valign="top"-->
              <td width="177" colspan="1" height="13" valign="top"
                style="width:132.4pt;border: 
   none;border-right:solid windowtext 1.5pt;mso-border-top-alt:solid windowtext 1.5pt; 
   mso-border-left-alt:solid windowtext 1.5pt;padding:0mm 1.4pt 0mm 1.4pt; 
   height:9.95pt">
                <p class="MsoNormal">
                  <font size="1" face="Arial">
                    <span style="font-size:7.0pt; 
   mso-bidi-font-family:Arial">
                      <span style="mso-bidi-font-size:12.0pt">Puerto/aeropuerto de carga /
                        Port/airport of charge<span style="mso-spacerun: yes"
                        >&#160;&#160;</span>UN/LOCODE</span>
                    </span>
                  </font>
                </p>
              </td>
              <!--<td width="177" colspan="3" height="13" valign="top"-->
              <td width="177" colspan="2" height="13" valign="top"
                style="width:132.4pt;border: 
   none;mso-border-left-alt:solid windowtext 1.5pt;padding:0mm 1.4pt 0mm 1.4pt; 
   height:9.95pt">
                <p class="MsoNormal">
                  <font size="1" face="Arial">
                    <span style="font-size:7.0pt; 
   mso-bidi-font-family:Arial">
                      <span style="mso-bidi-font-size:12.0pt">Plazos de pago / Terms of
                      payment</span>
                    </span>
                  </font>
                </p>
              </td>
              <!--<td width="177" colspan="3" height="13" valign="top"-->
              <td width="177" colspan="2" height="13" valign="top"
                style="width:132.4pt;border: 
   none;border-right:solid windowtext 1.5pt;padding:0mm 1.4pt 0mm 1.4pt; 
   height:9.95pt">
                <p class="MsoNormal">
                  <font size="1" face="Arial">
                    <span style="font-size:7.0pt; 
   mso-bidi-font-family:Arial">
                      <span style="mso-bidi-font-size:12.0pt">Divisa de pago / Transaction
                      currency</span>
                    </span>
                  </font>
                </p>
              </td>
            </tr>
            <tr height="13" style="height:9.95pt">
              <!--<td width="176" colspan="2" height="13" valign="top"-->
              <td width="176" colspan="1" height="13" valign="top"
                style="width:132.35pt; 
   border:solid windowtext 1.5pt;border-top:none;padding:0mm 1.4pt 0mm 1.4pt; 
   height:9.95pt">
                <p class="MsoNormal">
                  <span xsl:use-attribute-sets="prn-attrs"
                    ><!--<xsl:value-of select="//*/TransportMeans" />-->&#160;<!--<xsl:value-of select="//*/TransportMode/TransportModeCode" />--></span>
                </p>
              </td>
              <!--<td width="177" colspan="2" height="13" valign="top"-->
              <td width="177" colspan="1" height="13" valign="top"
                style="width:132.4pt;border-top: 
   none;border-left:none;border-bottom:solid windowtext 1.5pt;border-right:solid windowtext 1.5pt; 
   mso-border-left-alt:solid windowtext 1.5pt;padding:0mm 1.4pt 0mm 1.4pt; 
   height:9.95pt">
                <p class="MsoNormal">
                  <span xsl:use-attribute-sets="prn-attrs"
                    ><!--<xsl:value-of select="//*/PortOfLoading/LoadingLocationID" />-->&#160;
                      <xsl:value-of select="//*/PortOfLoading/LoadingLocationName"/></span>
                </p>
              </td>
              <!--<td width="177" rowspan="3" colspan="3" height="13" valign="top"-->
              <td width="177" rowspan="3" colspan="2" height="13" valign="top"
                style="width:132.4pt;border: 
   none;mso-border-left-alt:solid windowtext 1.5pt;border-bottom:solid windowtext 1.5pt;padding:0mm 1.4pt 0mm 1.4pt; 
   height:9.95pt">
                <p class="MsoNormal">
                  <span xsl:use-attribute-sets="prn-attrs"
                    ><!--<xsl:value-of select="//*/TermsOfPayment/PaymentTermsCode" />--></span>&#160;
                    <span xsl:use-attribute-sets="prn-attrs"
                    ><!--<xsl:value-of select="//*/TermsOfPayment/PaymentTermsText" />--></span>
                </p>
              </td>
              <!--<td width="177" rowspan="3" colspan="3" height="13" valign="top"-->
              <td width="177" rowspan="3" colspan="2" height="13" valign="top"
                style="width:132.4pt;border: 
   none;border-right:solid windowtext 1.5pt;padding:0mm 1.4pt 0mm 1.4pt; 
   height:9.95pt">
                <p class="MsoNormal">
                  <span xsl:use-attribute-sets="prn-attrs">
                    <xsl:value-of select="//*/Batch/InvoiceCurrencyCode"/>
                  </span>&#160; </p>
              </td>
            </tr>
            <tr height="13" style="height:9.95pt">
              <!--<td width="176" colspan="2" height="13" valign="top"-->
              <td width="176" colspan="1" height="13" valign="top"
                style="width:132.35pt; 
   border-top:none;border-left:solid windowtext 1.5pt;border-bottom:none; 
   border-right:solid windowtext 1.5pt;mso-border-top-alt:solid windowtext 1.5pt; 
   padding:0mm 1.4pt 0mm 1.4pt;height:9.95pt">
                <p class="MsoNormal">
                  <font size="1" face="Arial">
                    <span style="font-size:7.0pt; 
   mso-bidi-font-family:Arial">
                      <span style="mso-bidi-font-size:12.0pt">Puerto/aeropuerto de descarga /
                        Port/airport of discharge<span style="mso-spacerun: yes"/>UN/LOCODE</span>
                    </span>
                  </font>
                </p>
              </td>
              <!--<td width="177" colspan="2" height="13" valign="top"-->
              <td width="177" colspan="1" height="13" valign="top"
                style="width:132.4pt;border: 
   none;border-right:solid windowtext 1.5pt;mso-border-top-alt:solid windowtext 1.5pt; 
   mso-border-left-alt:solid windowtext 1.5pt;padding:0mm 1.4pt 0mm 1.4pt; 
   height:9.95pt">
                <p class="MsoNormal">
                  <font size="1" face="Arial">
                    <span style="font-size:7.0pt; 
   mso-bidi-font-family:Arial">
                      <span style="mso-bidi-font-size:12.0pt">Lugar final de la entrega / Final
                        place of delivery<span style="mso-spacerun: yes"
                        >&#160;&#160;</span>UN/LOCODE </span>
                    </span>
                  </font>
                </p>
              </td>
            </tr>
            <tr height="13" style="height:9.95pt">
              <!--<td width="176" colspan="2" height="13" valign="top"-->
              <td width="176" colspan="1" height="13" valign="top"
                style="width:132.35pt; 
   border:solid windowtext 1.5pt;border-top:none;padding:0mm 1.4pt 0mm 1.4pt; 
  height:9.95pt">
                <p class="MsoNormal">
                  <span xsl:use-attribute-sets="prn-attrs"
                    ><!--<xsl:value-of select="//*/DischargeLocationID" />-->&#160;
                    <!--<xsl:value-of select="//*/DischargeLocationName" />--></span>&#160; </p>
              </td>
              <!--<td width="177" colspan="2" height="13" valign="top"-->
              <td width="177" colspan="1" height="13" valign="top"
                style="width:132.4pt;border-top: 
   none;border-left:none;border-bottom:solid windowtext 1.5pt;border-right:solid windowtext 1.5pt; 
   mso-border-left-alt:solid windowtext 1.5pt;padding:0mm 1.4pt 0mm 1.4pt; 
   height:9.95pt">
                <p class="MsoNormal">
                  <span xsl:use-attribute-sets="prn-attrs"
                    ><!--<xsl:value-of select="//*/DeliveryLocationID" />-->&#160;
                    <!--<xsl:value-of select="//*/DeliveryLocationName" />--></span>&#160; </p>
              </td>

            </tr>

            <tr height="13" style="height:9.95pt">
              <!--<td width="530" colspan="8" height="13" valign="top"-->
              <td width="530" colspan="4" height="13" valign="top"
                style="width:397.15pt; 
   border-top:solid windowtext 1.5pt;border-left:none;border-bottom:none; 
   border-right:solid windowtext 1.5pt;mso-border-top-alt:solid windowtext 1.5pt; 
   padding:0mm 1.4pt 0mm 1.4pt;height:9.95pt"> </td>
              <!--<td width="177" colspan="2" height="13" valign="top"-->
              <td width="177" colspan="1" height="13" valign="top"
                style="width:132.4pt;border: 
   none;border-right:solid windowtext 1.5pt;border-top:solid windowtext 1.5pt;padding:0mm 1.4pt 0mm 1.4pt; 
   height:9.95pt">
                <p class="MsoNormal">
                  <font size="1" face="Arial">
                    <span style="font-size:7.0pt; 
   mso-bidi-font-family:Arial">
                      <span style="mso-bidi-font-size:12.0pt">Importe Total sin Impuestos / Total
                        amount (gross)</span>
                    </span>
                  </font>
                </p>
              </td>
            </tr>
            <tr>
              <!--<td width="530" rowspan="12" colspan="8" height="169" valign="top"-->
              <td width="530" rowspan="3" colspan="4" height="169" valign="top"
                style="width:397.15pt; 
   border-top:none;border-left:none;border-bottom:none; 
   border-right:solid windowtext 1.5pt;padding:0mm 1.4pt 0mm 1.4pt;height:9.95pt">
                <p class="MsoNormal">
                  <span xsl:use-attribute-sets="prn-attrs"
                    ><!--<xsl:value-of select="//*/DocumentDeclarations/"/>--></span>
                </p>
              </td>
              <td width="177" height="13" valign="top"
                style="width:132.4pt;border-top: 
   none;border-left:none;border-bottom:solid windowtext 1.5pt;border-right:solid windowtext 1.5pt; 
   mso-border-left-alt:solid windowtext 1.5pt;padding:0mm 1.4pt 0mm 1.4pt; 
   height:9.95pt">
                <p class="MsoNormal" align="right">
                  <!--<xsl:if test="//*/MonetaryType = '79'">-->
                  <span xsl:use-attribute-sets="prn-attrs">
                    <!--
                    <xsl:value-of select="/*/Invoices/Invoice/InvoiceTotals/TotalGrossAmount"/>
                    -->
                    <xsl:variable name="totalgrossamount">
                      <xsl:value-of select="/*/Invoices/Invoice/InvoiceTotals/TotalGrossAmount"/>
                    </xsl:variable>
                    <xsl:value-of
                      select="java:efactura.util.DecimalFormatUtil.getValorKey($totalgrossamount,'TotalGrossAmount')"
                    />
                  </span>
                  <!--</xsl:if>-->
                </p>
              </td>
            </tr>

            <tr>

              <td width="177" height="14" valign="top"
                style="width:132.4pt;border: 
   none;border-right:solid windowtext 1.5pt;mso-border-top-alt:solid windowtext 1.5pt; 
   mso-border-left-alt:solid windowtext 1.5pt;padding:0mm 1.4pt 0mm 1.4pt; 
   height:10.15pt">
                <p class="MsoNormal">
                  <font size="1" face="Arial">
                    <span
                      style="font-size:7.0pt; 
   mso-bidi-font-size:7.0pt;mso-bidi-font-family:Arial"
                      >Importe Total con Impuestos / Total Amount Due<o:p/></span>
                  </font>
                </p>
              </td>
            </tr>
            <tr>

              <!--<td width="177" colspan="2" height="14" valign="top"-->
              <td width="177" colspan="1" height="14" valign="top"
                style="width:132.4pt;border-top: 
   none;border-left:none;border-bottom:solid windowtext 1.5pt;border-right:solid windowtext 1.5pt; 
   mso-border-left-alt:solid windowtext 1.5pt;padding:0mm 1.4pt 0mm 1.4pt;">
                <p class="MsoNormal" align="right">
                  <span xsl:use-attribute-sets="prn-attrs">
                    <!--<xsl:value-of select="//*/TotalValue"/>-->
                    <!--<xsl:value-of select="//*/InvoiceTotals/CurrencyCode"/>-->
                    <!--
                    <xsl:value-of select="/*/Invoices/Invoice/InvoiceTotals/InvoiceTotal"/>
                    -->
                    <xsl:variable name="InvoiceTotal">
                      <xsl:value-of select="/*/Invoices/Invoice/InvoiceTotals/InvoiceTotal"/>
                    </xsl:variable>
                    <xsl:value-of
                      select="java:efactura.util.DecimalFormatUtil.getValorKey($InvoiceTotal,'InvoiceTotal')"
                    />
                  </span>
                </p>
              </td>
            </tr>

            <!-- Factura impresa -->
            <tr height="13" style="height:9.95pt">
              <!--<td width="706" colspan="10" height="13" valign="top"-->
              <td width="706" height="13" valign="top" colspan="5"
                style="width:529.55pt; 
                border:none;border-bottom:solid windowtext 1.5pt;padding:0mm 1.4pt 0mm 1.4pt; 
                height:9.95pt">
                <h1 align="center" style="text-align:center">
                  <b style="mso-bidi-font-weight: 
                    normal">
                    <font size="3" face="Arial">
                      <span
                        style="font-size:12.0pt;mso-bidi-font-family: 
                        Arial;mso-bidi-font-weight:normal"
                        >FACTURA ASOCIADA / ATTACHED INVOICE<o:p/></span>
                    </font>
                  </b>
                </h1>
              </td>
            </tr>

            <tr height="13" style="height:9.95pt">
              <!--<td width="706" colspan="10" height="13" valign="top"-->
              <td width="706" height="13" valign="top" colspan="5"
                style="width:529.55pt; 
                border:none;border-bottom:solid windowtext 1.5pt;padding:0mm 1.4pt 0mm 1.4pt; 
                height:9.95pt">
                <xsl:variable name="pathImagenFactura" select="concat('file://',$imagenFactura)"/>
                <center>
                  <img src="{$pathImagenFactura}"/>
                </center>
              </td>
            </tr>
          </table>

          <p class="MsoNormal">
            <font size="1" face="Arial">
              <span style="font-size:7.5pt; 
 mso-bidi-font-family:Arial">&#160;<o:p/></span>
            </font>
          </p>

        </div>

      </body>

    </html>

  </xsl:template>
</xsl:stylesheet>
